calibreSe que en LiGNUx hemos dejado algo olvidado a Calibre, llegando al extremo de no tener ningún post entero sobre el, pero ya ha llegado el momento y por ello en este articulo explicaremos como instalar Calibre 2.2.0 en Ubuntu, Debian y sus derivados.

Como la mayoría sabréis, Calibre es uno de los más populares gestores de libros en código abierto, el cual lee e-books, epub, CBZ , mobi, FB2 entre otros. Por otro lado cabe destacar que Calibre esta disponible para Windows,Mac Os X y como no para Gnu Linux.

Puedes descargar la versión para Windows, Mac Os X, Gnu Linux y una versión portable totalmente gratuita desde su sección de descargas.

Pero como no, para Gnu Linux existe un repositorio que han creado los desarrolladores de Calibre, para lo cual introduciremos el siguiente comando en nuestro sistema Debian, Ubuntu o dereivado de los anteriores:

$ sudo python -c "import sys; py3 = sys.version_info[0] > 2; u = __import__('urllib.request' if py3 else 'urllib', fromlist=1); exec(u.urlopen('http://status.calibre-ebook.com/linux_installer').read()); main()"

Con esto descargaremos Calibre, lo extraeremos y lo instalaremos.

Pd. Cabe destacar que este archivo se instalara en /opt/calibre, pero si modificas su destino en el comando anterior puedes mandarlo a donde quieras.

14
Deja una respuesta

avatar
7 Hilos de comentario
7 Respuestas de hilo
0 Seguidores
 
Comentario más reaccionado
El hilo de comentarios más caliente
7 Autores de comentarios
Rene Alexander AlvarezAlfonsoRebecaXuacu Autores de comentarios recientes
  Suscribirse  
Los más recientes Los más antiguos Más votados
Notificarme las
Rene Alexander Alvarez
Invitado

También me tira un error en Mint pero hice el copy-paste de la pagina de descargas de calibre y todo bien, es necesario tener la nueva versión si uno quiere importar una biblioteca existente en zip o rar, saludos

Anónimo
Invitado
Anónimo

Cuando escribo el comando incluido aquí me sale el siguiente error:

[email protected] ~ $ sudo python -c “import sys; py3 = sys.version_info[0] > 2; u = __import__(‘urllib.request’ if py3 else ‘urllib’, fromlist=1); exec(u.urlopen(‘http://status.calibre-ebook.com/linux_installer’).read()); main()”
bash: error sintáctico cerca del elemento inesperado `(‘
[email protected] ~ $

Alfonso
Invitado
Alfonso

Hola, me da el mismo problema que a Anonimo,
bash: syntax error near unexpected token `(‘
Saludos.

Rebeca
Invitado
Rebeca

Hola. me ha dado error al principio con la primera orden asi que he escrito la segunda y cuando se ha puesto a descargar y yo toda contenta… justo cuando acaba me sale esto como error:

Downloaded 59464308 bytes
Checking downloaded file integrity…
Extracting files to /opt/calibre …
Extracting application files…
tar: xz: No se puede exec: No existe el fichero o el directorio
tar: El error no es recuperable: salida ahora
tar: Child died with signal 13
tar: Saliendo con fallos debido a errores anteriores
Traceback (most recent call last):
File “”, line 1, in
File “”, line 648, in main
File “”, line 628, in download_and_extract
File “”, line 602, in extract_tarball
IOError: [Errno 32] Broken pipe

ASique ahora si que estoy perdida, entre que mis conocimientos en informatica son limitados y que no se que cohones quiere decirme con su broken pipe… solicito ayudaaa!! por favor

Anónimo
Invitado
Anónimo

te está diciendo que no puede ejecutar el programa xz para descomprimir los paquetes porque no lo tienes instalado. Para comprobarlo escribe xz en la consola y verás el aviso mas claro así como las instrucciones para instalarlo, algo así como:
El programa «xz» no está instalado actualmente. Puede instalarlo escribiendo:
apt-get install xz-utils
Teclea esa línea para instalarlo y a continuación vuelve a probar a instalar Calibre

Xuacu
Miembro
Xuacu

Ojo, que la página pone las comillas y apóstrofos tipográficos. Para que funcione el comando con el copypaste hay que sustituírlos por sus equivalentes ascii. A ver si salen bien en el comentario:
sudo python -c “import sys; py3 = sys.version_info[0] > 2; u = __import__(‘urllib.request’ if py3 else ‘urllib’, fromlist=1); exec(u.urlopen(‘http://status.calibre-ebook.com/linux_installer’).read()); main()”

Manuel R
Invitado
Manuel R

Orale, no sabía que era una herramienta tan completa, gracias por la información amigo, me pondré a “trastearla” un poco. Saludos.